/// <reference types="node" />
import http from 'http';
import supertest from 'supertest';
import { type Express } from 'express';
import { NodeSandbox } from '@squiz/runtime-sandbox-node';
import { Logger } from '@squiz/dx-logger-lib';
import { Services, Config } from '../../ioc';
import { ComponentLogger } from '@squiz/component-logger-lib';
export declare const testLogger: Logger;
export declare const testComponentLogger: ComponentLogger;
export declare const createTestSandbox: () => NodeSandbox;
export declare function getTestComponentFolder(): string;
export declare function setupTestApp(services?: Partial<Services>, config?: Partial<Config>): {
    server: http.Server;
    app: Express;
};
export declare function getTestWebServer(services?: Partial<Services>): supertest.SuperTest<supertest.Test>;
export declare class TestServer {
    private server;
    private app;
    constructor(services?: Partial<Services>, config?: Partial<Config>);
    get request(): supertest.SuperTest<supertest.Test>;
    start(): void;
    stop(): void;
}
